"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_assets = require("../../../common/assets.js");
const _sfc_main = {
  __name: "paysuccess",
  setup(__props) {
    const products = common_vendor.ref([
      {
        product_img: common_assets.product$1,
        product_type: "非遗手工艺体验",
        product_name: "玉雕-古法制玉体验",
        product_value: 99
      },
      {
        product_img: common_assets.product$1,
        product_type: "非遗手工艺体验",
        product_name: "玉雕-古法制玉体验",
        product_value: 99
      },
      {
        product_img: common_assets.product$1,
        product_type: "非遗手工艺体验",
        product_name: "玉雕-古法制玉体验",
        product_value: 99
      },
      {
        product_img: common_assets.product$1,
        product_type: "非遗手工艺体验",
        product_name: "玉雕-古法制玉体验",
        product_value: 99
      }
    ]);
    const toOrderDetail = () => {
      common_vendor.index.navigateTo({
        url: "../productOrderDetail/productOrderDetail"
      });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.unref(common_assets.success),
        b: common_vendor.o(toOrderDetail),
        c: common_vendor.unref(common_assets.xian),
        d: common_vendor.unref(common_assets.xian2),
        e: common_vendor.f(products.value, (item, index, i0) => {
          return {
            a: item.product_img,
            b: common_vendor.t(item.product_type),
            c: common_vendor.t(item.product_name),
            d: common_vendor.t(item.product_value),
            e: index
          };
        }),
        f: common_vendor.unref(common_assets.rmb)
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-0b647166"]]);
wx.createPage(MiniProgramPage);
